Retrieve a payment
curl --request GET \
--url https://api.paywise.de/v1/payments/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paywise.de/v1/payments/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/payments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"claim": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "<string>",
"currency": "EUR"
},
"value_date": "2023-12-25",
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"metadata": [
{
"type": "comment",
"value": "<string>"
}
]
}Payments
Retrieve a payment
Retrieve a single payment which you reported.
GET
/
v1
/
payments
/
{id}
/
Retrieve a payment
Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
A payment associated for a claim
The ID of the claim the payment should be reported on.
The amount of the payment.
Show child attributes
Show child attributes
The value date of the payment.
Your unique reference.
Maximum string length:
255The metadata object allows you to submit additional relevant information related to the payment as type/value pairs. You can submit an unlimited number of metadata sets.
Show child attributes
Show child attributes
